/*
 * Copyright 2016 University of Chicago
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef GLOBUS_I_CEPH_H
#define GLOBUS_I_CEPH_H 1

#include "globus_gridftp_server_s3_base.h"

GlobusExtensionDeclareModule(globus_gridftp_server_ceph);

extern char                            *globus_i_s3_rg_admin_bucket;
extern char                            *globus_i_s3_rg_admin_access_key_id;
extern char                            *globus_i_s3_rg_admin_secret_access_key;

extern
void
globus_i_ceph_start(
    globus_gfs_operation_t              op,
    globus_gfs_session_info_t          *session_info);

#endif /* GLOBUS_I_CEPH_H */
// vim: ft=c:
